Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.pipeline
Class PipelineCreationTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.pipeline.PipelineCreationTest

All Implemented Interfaces:
  junit.framework.Test

    public class PipelineCreationTest

extends junit.framework.TestCase

Tests TurbinePipeline.

Version:
  $Id: PipelineCreationTest.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Daniel Rall

Constructor Summary
`PipelineCreationTest(String testName)` Constructor

Method Summary
`void` | `setUp()`
`void` | `testReadingPipelineWXstream()`
`void` | `testSavingPipelineWXstream()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PipelineCreationTest

    public PipelineCreationTest(String testName)

  Constructor

Method Detail

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### testSavingPipelineWXstream

    public void testSavingPipelineWXstream()
                                    throws Exception

  Throws:
    `Exception`

### testReadingPipelineWXstream

    public void testReadingPipelineWXstream()
                                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.